curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString} \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Rufen Sie die aktuellen E-Mail-Abonnementeinstellungen eine Kontakts ab.
curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString} \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Die eindeutige ID des Abonnenten, dessen Status der Kommunikationseinstellungen abgerufen wird.
Der Kommunikationskanal, für den der Abonnementstatus abgerufen wird. Dieser Parameter ist erforderlich und unterstützt derzeit nur „EMAIL“.
EMAIL Die ID des Unternehmensbereichs, nach der der Abonnementstatus gefiltert werden soll. Dies ist ein optionaler Parameter.
successful operation
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Vorgang abgeschlossen wurde.
Ein Array mit Ergebnissen aus dem Vorgang.
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Vorgang gestartet wurde.
Zeigt den aktuellen Status des Vorgangs an, mit den möglichen Werten: PENDING, PROCESSING, CANCELED, COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING Eine Liste der während des Vorgangs aufgetretenen Fehler.
Show child attributes
Enthält URLs im Zusammenhang mit der Antwort, z. B. Dokumentation oder Ressourcen.
Show child attributes
Die Anzahl der während des Vorgangs aufgetretenen Fehler.
Der Zeitpunkt (Datum und Uhrzeit), zu dem die Anfrage gestellt wurde.